Commit db237d84 authored by Takuya Noguchi's avatar Takuya Noguchi 🇯🇵

Update Helm to 2.12.2 to address Helm client vulnerability

Signed-off-by: Takuya Noguchi's avatarTakuya Noguchi <takninnovationresearch@gmail.com>
parent b9494bf3
Pipeline #44364578 passed with stages
in 149 minutes and 29 seconds
---
title: Update Helm to 2.12.2 to address Helm client vulnerability
merge_request: 24418
author: Takuya Noguchi
type: security
......@@ -50,7 +50,7 @@ variables:
POSTGRES_DB: $CI_ENVIRONMENT_SLUG
KUBERNETES_VERSION: 1.11.6
HELM_VERSION: 2.11.0
HELM_VERSION: 2.12.2
DOCKER_DRIVER: overlay2
......
......@@ -3,7 +3,7 @@
module Gitlab
module Kubernetes
module Helm
HELM_VERSION = '2.11.0'.freeze
HELM_VERSION = '2.12.2'.freeze
KUBECTL_VERSION = '1.11.0'.freeze
NAMESPACE = 'gitlab-managed-apps'.freeze
SERVICE_ACCOUNT = 'tiller'.freeze
......
......@@ -30,7 +30,7 @@ describe Gitlab::Kubernetes::Helm::Pod do
it 'should generate the appropriate specifications for the container' do
container = subject.generate.spec.containers.first
expect(container.name).to eq('helm')
expect(container.image).to eq('registry.gitlab.com/gitlab-org/cluster-integration/helm-install-image/releases/2.11.0-kube-1.11.0')
expect(container.image).to eq('registry.gitlab.com/gitlab-org/cluster-integration/helm-install-image/releases/2.12.2-kube-1.11.0')
expect(container.env.count).to eq(3)
expect(container.env.map(&:name)).to match_array([:HELM_VERSION, :TILLER_NAMESPACE, :COMMAND_SCRIPT])
expect(container.command).to match_array(["/bin/sh"])
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment